package com.pjilisense.flxai.dto;

import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.OffsetDateTime;
import java.util.Date;
import java.util.Map;


/**
 * ${comments}
 *
 * @author liushujing liushujing@philisense.com
 * @since 1.0.0 2025-01-14
 */
@Data
@ApiModel(value = "知识库")
public class KnowledgeBasesDTO implements Serializable {
    private static final long serialVersionUID = 1L;

	private String id;

	private String name;

	private String description;

	private String avatar;

	private String type;

	private String userId;

	private Boolean isPublic;

	private Map<String,Object> settings;

	@JsonSerialize(using = com.pjilisense.flxai.wrapper.OffsetDateTimeSerializer.class)
	@JsonDeserialize(using = com.pjilisense.flxai.wrapper.OffsetDateTimeDeserializer.class)
	private OffsetDateTime createdAt;

	@JsonSerialize(using = com.pjilisense.flxai.wrapper.OffsetDateTimeSerializer.class)
	@JsonDeserialize(using = com.pjilisense.flxai.wrapper.OffsetDateTimeDeserializer.class)
	private OffsetDateTime updatedAt;

	@JsonSerialize(using = com.pjilisense.flxai.wrapper.OffsetDateTimeSerializer.class)
	@JsonDeserialize(using = com.pjilisense.flxai.wrapper.OffsetDateTimeDeserializer.class)
	private OffsetDateTime accessedAt;


}